<?php

namespace App\Filament\Resources\Reformes\Schemas;

use Filament\Forms\Components\DatePicker;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class ReformeForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('libelle')
                    ->required(),
                DatePicker::make('date_debut')
                    ->required(),
                TextInput::make('annee_debut')
                    ->required()
                    ->numeric(),
                TextInput::make('annee_fin')
                    ->numeric()
                    ->default(null),
                TextInput::make('ordre_min')
                    ->numeric()
                    ->default(null),
                TextInput::make('ordre_max')
                    ->numeric()
                    ->default(null),
            ]);
    }
}
